Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.taglib.html
Class HtmlMessageTagBase

    java.lang.Object
      javax.faces.webapp.UIComponentTag
          org.apache.myfaces.taglib.UIComponentTagBase
              org.apache.myfaces.taglib.html.HtmlComponentTagBase
                  org.apache.myfaces.taglib.html.HtmlMessageTagBase

All Implemented Interfaces:
  javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.Tag

Direct Known Subclasses:
  HtmlMessageTag

public abstract class HtmlMessageTagBase
extends HtmlComponentTagBase

Version:
  $Revision: 169655 $ $Date: 2005-05-11 12:45:06 -0400 (Wed, 11 May 2005) $
Author:
  Manfred Geiler (latest modification by $Author: grantsmith $)

Field Summary

Fields inherited from class javax.faces.webapp.UIComponentTag
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`HtmlMessageTagBase()`

Method Summary
`void` | `release()`
`void` | `setErrorClass(java.lang.String errorClass)`
`void` | `setErrorStyle(java.lang.String errorStyle)`
`void` | `setFatalClass(java.lang.String fatalClass)`
`void` | `setFatalStyle(java.lang.String fatalStyle)`
`void` | `setFor(java.lang.String aFor)`
`void` | `setInfoClass(java.lang.String infoClass)`
`void` | `setInfoStyle(java.lang.String infoStyle)`
`protected void` | `setProperties(javax.faces.component.UIComponent component)`
`void` | `setShowDetail(java.lang.String showDetail)`
`void` | `setShowSummary(java.lang.String showSummary)`
`void` | `setTooltip(java.lang.String tooltip)`
`void` | `setWarnClass(java.lang.String warnClass)`
`void` | `setWarnStyle(java.lang.String warnStyle)`

Methods inherited from class org.apache.myfaces.taglib.html.HtmlComponentTagBase
`setDir, setLang, setOnclick, setOndblclick, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setStyle, setStyleClass, setTitle`

Methods inherited from class org.apache.myfaces.taglib.UIComponentTagBase
`setActionListenerProperty, setActionProperty, setBooleanProperty, setConverter, setForceId, setForceIdIndex, setImageLocation, setIntegerProperty, setJavascriptLocation, setStringProperty, setStyleLocation, setValidatorProperty, setValue, setValueBinding, setValueChangedListenerProperty`

Methods inherited from class javax.faces.webapp.UIComponentTag
`doEndTag, doStartTag, encodeBegin, encodeChildren, encodeEnd, findComponent, getComponentInstance, getComponentType, getCreated, getDoEndValue, getDoStartValue, getFacesContext, getFacetName, getId, getParent, getParentUIComponentTag, getRendererType, isSuppressed, isValueReference, setBinding, setId, setPageContext, setParent, setRendered, setupResponseWriter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlMessageTagBase

    public HtmlMessageTagBase()

Method Detail

### release

    public void release()

  Specified by:
    `release` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `release` in class `HtmlComponentTagBase`

### setProperties

    protected void setProperties(javax.faces.component.UIComponent component)

  Overrides:
    `setProperties` in class `HtmlComponentTagBase`

### setFor

    public void setFor(java.lang.String aFor)

### setShowSummary

    public void setShowSummary(java.lang.String showSummary)

### setShowDetail

    public void setShowDetail(java.lang.String showDetail)

### setErrorClass

    public void setErrorClass(java.lang.String errorClass)

### setErrorStyle

    public void setErrorStyle(java.lang.String errorStyle)

### setFatalClass

    public void setFatalClass(java.lang.String fatalClass)

### setFatalStyle

    public void setFatalStyle(java.lang.String fatalStyle)

### setInfoClass

    public void setInfoClass(java.lang.String infoClass)

### setInfoStyle

    public void setInfoStyle(java.lang.String infoStyle)

### setWarnClass

    public void setWarnClass(java.lang.String warnClass)

### setWarnStyle

    public void setWarnStyle(java.lang.String warnStyle)

### setTooltip

    public void setTooltip(java.lang.String tooltip)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD